Subject: bug#78594: closed (Re: bug#78594: [PATCH] 31.0.50; typescript-ts-mode & tsx-ts-mode does not fontify variable-use consistently)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 01 Jun 2025 22:50:02 +0000

Your bug report

#78594: [PATCH] 31.0.50; typescript-ts-mode & tsx-ts-mode does not fontify variable-use consistently

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
78594: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78594
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#78594: [PATCH] 31.0.50; typescript-ts-mode & tsx-ts-mode does not fontify variable-use consistently
From: Yuan Fu <[email-masked]>
To: Jostein Kjønigsen <[email-masked]>
Cc: [email-masked]
Date: Sun, 1 Jun 2025 15:48:56 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

> On May 26, 2025, at 10:02 AM, Jostein Kjønigsen <[email-masked]> wrote:
> 
> Hey everyone!
> 
> I'm an avid user of typescript-ts-mode, and I'm also very interested in seeing expanded use of font-lock-variable-use-face in Emacs. IMO it really helps highlight key structural elements of the code.
> 
> Unfortunately typescript-ts-mode (and tsx-ts-mode) is not very good, nor consistent in highlighting variable use using these new faces.
> 
> Attached is a patch which seeks to remedy the situation. Let me know what you think :) 

Thanks Jostein, these are very nice improvements! I merged the patch to master.

Would be nice to include some screenshots to illustrate the changes visually. But your comment message is very informational, and I was able to make some screenshots myself to see the change (attached).

Also the commit message format is still not quite right, but I fixed it when pushing.

Yuan

Subject: [PATCH] 31.0.50; typescript-ts-mode & tsx-ts-mode does not fontify variable-use consistently
From: Jostein Kjønigsen <[email-masked]>
To: [email-masked]
Date: Mon, 26 May 2025 19:02:04 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hey everyone!

I'm an avid user of typescript-ts-mode, and I'm also very interested in seeing expanded use of font-lock-variable-use-face in Emacs. IMO it really helps highlight key structural elements of the code.

Unfortunately typescript-ts-mode (and tsx-ts-mode) is not very good, nor consistent in highlighting variable use using these new faces.

Attached is a patch which seeks to remedy the situation. Let me know what you think :) 

￼

—
Kind Regards
Jostein Kjønigsen